// =====================================================================
//  $Id: St01EventAction.hh,v 1.3 2003/10/06 16:28:18 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: St01EventAction.hh,v $
//  Revision 1.3  2003/10/06 16:28:18  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:16:11  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifndef __ST01EVENTACTION_HH
#define __ST01EVENTACTION_HH

#include "TEventAction.hh"

class TDataRecord;

class St01EventAction
  : public TEventAction
{

  public:
    St01EventAction();
    ~St01EventAction();

  public:
    TReadoutList* WaitEvent();
    Tvoid BeginOfEventAction( TEvent& anEvent );
    Tvoid EndOfEventAction( TEvent& anEvent );

  private:
    Tvoid fillEventInformation( const TDataRecord& record );

};

#endif
